# eric6.Preferences.ConfigurationPages.WebBrowserVirusTotalPage

Module implementing VirusTotal configuration page (web browser variant).

### Global Attributes

None

### Classes

WebBrowserVirusTotalPage | Class implementing VirusTotal configuration page (web browser variant).

### Functions

create | Module function to create the configuration page.

## WebBrowserVirusTotalPage

Class implementing VirusTotal configuration page (web browser variant).

### Derived from

ConfigurationPageBase, Ui_WebBrowserVirusTotalPage

### Class Attributes

None

### Class Methods

None

### Methods

WebBrowserVirusTotalPage | Constructor
__checkServiceKeyFinished | Private slot to receive the result of the service key check.
on_testButton_clicked | Private slot to test the entered service key.
on_vtServiceKeyEdit_textChanged | Private slot to handle changes of the service key.
save | Public slot to save the VirusTotal configuration.

### Static Methods

None

#### WebBrowserVirusTotalPage (Constructor)

WebBrowserVirusTotalPage()

Constructor

#### WebBrowserVirusTotalPage.__checkServiceKeyFinished

__checkServiceKeyFinished(result, msg)

Private slot to receive the result of the service key check.

result
  flag indicating a successful check (boolean)
msg
  network error message (str)

#### WebBrowserVirusTotalPage.on_testButton_clicked

on_testButton_clicked()

Private slot to test the entered service key.

#### WebBrowserVirusTotalPage.on_vtServiceKeyEdit_textChanged

on_vtServiceKeyEdit_textChanged(txt)

Private slot to handle changes of the service key.

txt
  entered service key (string)

#### WebBrowserVirusTotalPage.save

save()

Public slot to save the VirusTotal configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up